Bug 185099 - Add configuration of iSCSI LUNs
Add configuration of iSCSI LUNs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanko Kupcevic
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 11:55 EST by Rob Kenna
Modified: 2009-04-16 19:12 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHEA-2007-0254
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:22:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Kenna 2006-03-10 11:55:59 EST
Description of problem:
Currently, iSCSI must be configured via editing config files.  This is an error
prone process and difficult for non-expert users.  Making this confgiuration
available via the LVM GUI will ease this purden.  Plus it mates well with the
other LVM configuration tasks.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rob Kenna 2006-03-10 11:59:13 EST
Additional subtlety:

The iSCSI initiator in RHEL 4 will be different in RHEL 5.  The user level tools
and configuration files may also differ requireing different backend work for
any UI tool.  We should try and provide as much commonality as possible.

We also want to have CHAP and iSNS support in the configuration.
Comment 3 Kiersten (Kerri) Anderson 2006-09-06 16:16:26 EDT
Devel ACK a simple interface for 4.5.
Comment 5 Stanko Kupcevic 2007-01-31 09:19:36 EST
Fixed in 1.0.23-1.0
Comment 7 Stanko Kupcevic 2007-01-31 16:22:30 EST
Testing:

iSCSI configuration utility is activated by going to Tools->iSCSI Configuration
in s-c-lvm main window.
If iscsi-initiator-utils.rpm is not installed, an error message should pop-up. 
Utility should rescan targets for new luns on startup, starting iscsid if not
already running (and only if initiator has been configured for some targets).  
A window should appear, listing all luns (one per row), including its devpath,
target name, lun id, hostname, scsi id (scsi wwid), and whether lun is active or
not (read-only checkbox). 
There is a Refresh button, which will rescan targets for newly exported LUNs. 

There is also a “Add new target” button, which should prompt for hostname and
port number of target to add. 
Submitting a hostname-port pair, which doesn't lead to iscsi-target server,
should result in an error. 
After a valid iscsi target server is entered, new targets should show up in the
iSCSI utility window; iscsid might get started if not already running. 

Main s-c-lvm window should reload after iSCSI utility has been dismissed. Newly
added LUNs should be displayed in “Uninitialized Entities”, although they could
end up in other categories if already under LVM control. 

All partitions and PVs that sit on iSCSI targets should have “iSCSI Device:
True” entry in the properties pane (one on the right). 
Comment 10 Red Hat Bugzilla 2007-05-01 13:22:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0254.html

Note You need to log in before you can comment on or make changes to this bug.